#pragma once
#include "override.h"
#include "stringHash.h"

class Settings {
public:
	static void Load(HMODULE hModule);
	static BOOL IsFontExcluded(const LPCSTR lpszFaceName);
	static BOOL IsFontExcluded(const LPCWSTR lpszFaceName);
	
	static BOOL IsProcessExcluded(void);
	static BOOL IsValidDC(const HDC hdc);
	
	static UINT GetFontWeight(const LPCWSTR lpszFaceName);
	
	
	static UINT Quality;
	static UINT Weight;
	static UINT Enhance;
	static BOOL DontUseSubPixel;
	static UINT SubPixelDirection;
	static float MaxHeight;
	static BOOL ForceAntialiasedQuality;
	static BOOL IsWinXPorLater;
	static int Scale;
	
	static StringHash *ExcludeList;
	static StringHashMod *ExcludeMod;
	static StringHash *IndividualList;
};